id: wordpress-google-analytics-for-wordpress

info:
  name: MonsterInsights – Google Analytics Dashboard for WordPress (Website Stats Made Easy) Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/google-analytics-for-wordpress/
  metadata:
    plugin_namespace: google-analytics-for-wordpress
    wpscan: https://wpscan.com/plugin/google-analytics-for-wordpress
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/google-analytics-for-wordpress/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/google-analytics-for-wordpress.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 490a00463044022011acaeb893e8414a6135fc36a82af4f965c7733796eb6623325fcb04fe828e1e02204010aed8159160b96660fdb39f80a4e2391f4f28107a9d5bf71d0a3b8c86915d:922c64590222798bb761d5b6d8e72950